import * as l from "react";
import { MenuContext as a } from "../context/MenuContext.mjs";
function u(i) {
  var e = l.useContext(a), r = e.mode, o = e.rtl, n = e.inlineIndent;
  if (r !== "inline")
    return null;
  var t = i;
  return o ? {
    paddingRight: t * n
  } : {
    paddingLeft: t * n
  };
}
export {
  u as default
};
